## filelight-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( filelight )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
# @Add othere required cmake modules here@
#
# EXAMPLE:
# include( CheckTypeSize )
# include( CheckCSourceCompiles )
# include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

# EXAMPLE:
# option( WITH_XSCREENSAVER "Enable xscreensaver support" ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### filelight directories #####################

add_subdirectory( src )
add_subdirectory( misc )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== misc/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_install_icons( )


##### other data ################################

install( FILES filelight_part.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES filelight.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES filelightrc
  DESTINATION ${CONFIG_INSTALL_DIR}
)

install( FILES filelight_partui.rc filelightui.rc
  DESTINATION ${DATA_INSTALL_DIR}/filelight
)

=== po/bg/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG bg )

=== po/ca/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG ca )

=== po/cy/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG cy )

=== po/da/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG da )

=== po/de/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG de )

=== po/es/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG es )

=== po/et/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG et )

=== po/ga/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG ga )

=== po/ka/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG ka )

=== po/pt/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translation( LANG pt )

## filelight-trinity 3.5.13.2

=== debian/changelog ===
filelight-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:19:22 +0200

filelight-trinity (1.0-2ubuntu5) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

filelight-trinity (1.0-2ubuntu4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

filelight-trinity (1.0-2ubuntu3) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 09 Feb 2009 10:27:00 -0600

filelight (1.0-2ubuntu2) intrepid; urgency=low

  * Remove documentation, it conflicts with the -l10n package (LP: #245974)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 24 Aug 2008 00:56:23 +0200

filelight (1.0-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Changed Maintainer field per spec
    - debian/rules: prevent the installation of locale files (they are provided
      by the filelight-l10n package)
    - debian/patches
      + Don't merge patches which change any Makefile.in, they
        would break.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 07 May 2008 10:00:29 +0100

filelight (1.0-2) unstable; urgency=low

  * 'man filelight' typos: "representating", "filesystem" and
    "diskspace" (Closes: #452618). Thanks to A. Costa.
  * Update policy to 3.7.3. No changes needed.
  * Fixed Vcs-Svn and VCs-Browser fields.
  * Reordered CDBS build rules and removing autotools.mk since it clashes with
    kde.mk.
  * Moving to quilt patch system.
  * Removed dpatch comments from 10_fix-filelight.desktop
  * Reworked buildsystem: added patches 98_buildprep; removed
    01_configure-update, 02_dist-files and 07_install-radial-map.diff; updated
    05_fPIX_radialmap_part.
  * Removed watch file.

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Tue, 06 May 2008 17:10:35 +0200

filelight (1.0-1) unstable; urgency=low

  * New upstream release: Crashes fix, displaying non-latin1 correctly and
    several new features. (Closes: #445935, #424741)
  * Splitted l10n to a new package.
  * Bugs closed:
    + filelight always places hover information on first monitor (Closes:
    #255896)
    + filelight doesn't handle utf-8 files (Closes: #256423)
    + always crashing on exit (Closes: #404460)
    + bug in filelight - crash on exit (Closes: #356626)
    + glibc detects free() of invalid pointer on exit (Closes: #343903)
    + memory usage is obscene (Closes: #231399)
    + lots of noise on stderr from RadialMap methods (Closes: #343905)
    + very large files and directories lead to confusion (Closes: #393827)
    + Filelight ignores large files (Closes: #341680)
    + Piles of WARNING messages on startup, but it works. (Closes:
      #307717)
    + filelight lacks a manpage [patch] (Closes: #414934).  Thanks to
      James R. Van Zandt.
    + Spelling mistake in package description (Closes: #363410). Thanks to
      James Westby.
    + please build with --disable-debug to prevent spurious stdout-output
      (Closes: #408554)
    + filelight(GNU/k*BSD): FTBFS: out of date config.sub/config.guess
      (Closes: #304605)
    + lots of noise on stderr from RadialMap methods (Closes: #343905)
  * Packaging issues:
    + Changed packaging to CDBS.
    + Provide upstream AUTHORS file.
    + Honour the nostrip in the DEB_BUILD_OPTIONS. (Closes: #436852)
    + Changed menu section to Applications/File Management to comply with newer
      menu policy.
    + Implemented dpatch, avoiding direct upstream patching(ugly).
    + please remove old editor backup files from diff (Closes: #354706)
    + Update package policy to latest 3.7.2.
    + Change Uploader(me) and Maintainers(Debian KDE Extras Team).

 -- Raúl Sánchez Siles <rasasi78@gmail.com>  Fri, 16 Nov 2007 19:20:42 +0100

filelight (1.0-0ubuntu2) gutsy; urgency=low

  * Removed postrm and postinst since they are not needed
  * Added patch for desktop file typo

 -- Harald Sitter <sitter.harald@gmail.com>  Mon,  4 Jun 2007 21:58:53 +0200

filelight (1.0-0ubuntu1) gutsy; urgency=low

  * New Upstream Release
  * Standards-Version: 3.7.2
  * Added manpage
  * Moved to cdbs
    * Removed debian/conffiles due to cdbs

 -- Harald Sitter <sitter.harald@gmail.com>  Sun, 22 Apr 2007 14:48:10 +0200

filelight (0.99beta6-1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Benjamin Montgomery <bmontgom@montynet.org>  Tue,  6 Dec 2005 22:12:09 -0600

filelight (0.99beta6-1) unstable; urgency=low

  * New upstream (beta) release. Closes: #304497
   * Can delete files with spaces in the filename.  Closes: #265384

  * Rebuilt for C++ transition.  Closes: #327002, #327231

  * debian/rules (checkdir): update for source reorganization.
  * debian/rules (binary-arch): deal with the new libfilelight.so.

  * debian/menu: quote all strings (via lintian).
  * debian/rules (binary-arch): install menu file to /usr/share/menu
    rather than /usr/lib/menu (via lintian).
  
  * debian/control (Standards-Version): updated to 3.6.2.1.
  * debian/copyright: update download location to be non-version specific.
    Update FSF address (via lintian).

  * debian/control (Build-Depends): add autoconf and gettext.

  * src/part/radial/Makefile.am: add -fPIC to CFLAGS.
  * src/part/radial/Makefile.in: add -fPIC to INCLUDES.  Copied from
    Michael Vogt's Ubuntu change.  Not a good/proper long term solution,
    but it'll compile at least.

  * debian/rules (clean): also remove po/*.gmo, autom4te.cache and
    config.log to keep diff.gz clean.

 -- James Troup <james@nocrew.org>  Mon, 19 Sep 2005 01:43:42 +0100

filelight (0.99beta6-0ubuntu3) breezy; urgency=low
  
  * rebuild for c++ transition
  * fixed a missing -fPIC in src/part/radialMap 



=== debian/control ===
Source: filelight-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0), cdbs, kdelibs4-trinity-dev, xutils, chrpath, gettext, quilt (>= 0.40), automake, autoconf, libtool, libltdl-dev
Homepage: http://www.methylblue.com/filelight/

Package: filelight-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: show where your diskspace is being used [Trinity]
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for filelight (1.0)
# Copyright 2007 Raúl Sánchez Siles
# This packaging is licensed under GPLv2
# see /usr/share/common-licenses/GPL-2 for details.

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_filelight := debian/filelight.1
DEB_DH_ALWAYS_EXCLUDE=.svn

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --disable-debug

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
		cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
		cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

#get-orig-source-dpatch:
#	@@dh_testdir
#	@@[ -d ../tarballs/. ]
#	@@dpatch-get-origtargz ../tarballs

common-install-arch::
	rm -rf debian/filelight/usr/share/locale/
	rm -rf debian/filelight/usr/share/doc/tde/

## filelight-trinity 14.0.4

=== debian/changelog ===
filelight-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:03:41 +0200

## filelight-trinity 14.0.5

=== debian/changelog ===
filelight-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 06:58:39 +0200

=== debian/control ===
Source: filelight-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ral Snchez Siles <rasasi78@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdelibs14-trinity-dev, xutils, chrpath, gettext, quilt (>= 0.40), libltdl-dev
Homepage: http://www.methylblue.com/filelight/

Package: filelight-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: filelight-kde3 (<< 4:14.0.0~), filelight-trinity (<< 4:14.0.0~)
Breaks: filelight-kde3 (<< 4:14.0.0~), filelight-trinity (<< 4:14.0.0~)
Description: show where your diskspace is being used [Trinity]
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight-trinity 14.0.6

=== debian/changelog ===
filelight-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 00:56:34 +0100

=== debian/control ===
Source: filelight-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ral Snchez Siles <rasasi78@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdelibs14-trinity-dev, xutils, chrpath, quilt (>= 0.40), libltdl-dev
Homepage: http://www.methylblue.com/filelight/

Package: filelight-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: filelight-trinity (<< 4:14.0.0~)
Breaks: filelight-trinity (<< 4:14.0.0~)
Description: show where your diskspace is being used [Trinity]
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for filelight (1.0)
# Copyright 2007 Raúl Sánchez Siles
# This packaging is licensed under GPLv2
# see /usr/share/common-licenses/GPL-2 for details.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_INSTALL_MANPAGES_filelight := debian/filelight.1
DEB_DH_ALWAYS_EXCLUDE=.svn

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## filelight-trinity 14.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 include( FindPkgConfig )
 include( CheckIncludeFile )
 include( CheckLibraryExists )
+include( CheckSymbolExists )
 # @Add othere required cmake modules here@
 #
 # EXAMPLE:
@@ -67,8 +68,8 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### filelight directories #####################
@@ -76,7 +77,7 @@
 add_subdirectory( src )
 add_subdirectory( misc )
 tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files #####################

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,16 @@
 
 ##### other data ################################
 
-install( FILES filelight_part.desktop
+tde_create_translated_desktop(
+  SOURCE filelight_part.desktop
   DESTINATION ${SERVICES_INSTALL_DIR}
+  PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files
 )
 
-install( FILES filelight.desktop
+tde_create_translated_desktop(
+  SOURCE filelight.desktop
   DESTINATION ${XDG_APPS_INSTALL_DIR}
+  PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files
 )
 
 install( FILES filelightrc

=== doc/et/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_handbook(
  DESTINATION filelight
  LANG et
)

## filelight-trinity 14.0.9

=== debian/changelog ===
filelight-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Ral Snchez Siles <rasasi78@gmail.com>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdelibs14-trinity-dev, xutils, chrpath, quilt (>= 0.40), libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, cmake, intltool, tdelibs14-trinity-dev, xutils, chrpath, quilt (>= 0.40), libltdl-dev
 Homepage: http://www.methylblue.com/filelight/
 
 Package: filelight-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: filelight-trinity (<< 4:14.0.0~)
-Breaks: filelight-trinity (<< 4:14.0.0~)
+Replaces: filelight-kde3 (<< 4:14.0.0~), filelight-trinity (<< 4:14.0.0~)
+Breaks: filelight-kde3 (<< 4:14.0.0~), filelight-trinity (<< 4:14.0.0~)
 Description: show where your diskspace is being used [Trinity]
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.

## filelight-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################

=== debian/changelog ===
filelight-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: filelight-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Ral Snchez Siles <rasasi78@gmail.com>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 9~), cdbs, cmake, intltool, tdelibs14-trinity-dev, xutils, chrpath, quilt (>= 0.40), libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs, cmake, tdelibs14-trinity-dev, xutils, chrpath, quilt (>= 0.40), libltdl-dev
 Homepage: http://www.methylblue.com/filelight/
 
 Package: filelight-trinity

## filelight-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,9 +63,7 @@
 
 ###### global compiler settings #################
 
-add_definitions(
-  -DHAVE_CONFIG_H
-)
+add_definitions( -DHAVE_CONFIG_H )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
 set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
@@ -76,8 +74,12 @@
 
 add_subdirectory( src )
 add_subdirectory( misc )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################

=== debian/changelog ===
filelight-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 21:42:14 +0200

## filelight-trinity 14.0.12

=== debian/changelog ===
filelight-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:52 +0100

## filelight-trinity 14.0.13

=== debian/changelog ===
filelight-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Oct 2022 06:55:17 +0200

## filelight-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
@@ -33,8 +33,12 @@
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################

=== debian/changelog ===
filelight-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## filelight-trinity 14.1.1

=== debian/changelog ===
filelight-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Ral Snchez Siles <rasasi78@gmail.com>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 9~), cdbs, cmake, tdelibs14-trinity-dev, xutils, chrpath, quilt (>= 0.40), libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, xutils
 Homepage: http://www.methylblue.com/filelight/
 
 Package: filelight-trinity

## filelight-trinity 14.1.2

=== debian/changelog ===
filelight-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 09:11:39 +0100

## filelight-trinity 14.1.3

=== debian/changelog ===
filelight-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 09:11:39 +0100

## filelight-trinity 14.1.4

=== debian/changelog ===
filelight-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## filelight-trinity 14.1.5~pre0

=== debian/changelog ===
filelight-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a5dbb4b8f984d330d37ebc072971469e8dad1cf4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## filelight-trinity 14.1.5~pre1

=== debian/changelog ===
filelight-trinity (4:14.1.5~pre1-0raspbian13.0.0+3) raspbian-trixie; urgency=low

  * Automated git build for 317bbd8c5036fca5bc5520e7a89bfcac21b7da88
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 23:07:33 +0200

## filelight-trinity 14.1.5

=== debian/changelog ===
filelight-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 23:07:33 +0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for filelight (1.0)
# Copyright 2007 Raúl Sánchez Siles
# This packaging is licensed under GPLv2
# see /usr/share/common-licenses/GPL-2 for details.

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_DH_ALWAYS_EXCLUDE=.svn

# Build options
DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON"

## filelight-trinity 14.1.6~pre0

=== debian/changelog ===
filelight-trinity (4:14.1.6~pre0-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for 317bbd8c5036fca5bc5520e7a89bfcac21b7da88
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 23:07:33 +0200

## filelight-trinity 14.1.6~pre1

=== debian/changelog ===
filelight-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 25241f43478ef2084e16e9ecc3c43cdb969c5649
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 22:33:28 +0100

## filelight-trinity 14.1.6~pre2

=== debian/changelog ===
filelight-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7e66117e738cb9f316c36552a726f6449b92d108
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:20:18 +0100

## filelight-trinity 14.1.6~pre4

=== debian/changelog ===
filelight-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9dc16a9b691243571b25586fe18e2fa76db5c9e4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 22:36:37 +0100

## filelight-trinity 14.2.0~pre22

=== debian/changelog ===
filelight-trinity (4:14.2.0~pre22-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 52a2285f10cddaa013b9d986ec69a3930b85c6f1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## filelight-trinity 14.2.0~pre24

=== src/part/radialMap/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/part
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### radialmap (static) ########################

tde_add_library( radialmap STATIC_PIC AUTOMOC
  SOURCES widget.cpp builder.cpp map.cpp widgetEvents.cpp labels.cpp
    segmentTip.cpp
)

=== debian/changelog ===
filelight-trinity (4:14.2.0~pre24-0debian13.0.0+6) trixie; urgency=low

  * Automated git build for 9c1d854ae6d4665744b6ff44e90511bf6bb097b5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 21:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Ral Snchez Siles <rasasi78@gmail.com>
 Standards-Version: 3.8.4
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, xutils
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, xutils
 Homepage: http://www.methylblue.com/filelight/
 
 Package: filelight-trinity
 Architecture: any
 Depends: ${shlibs:Depends}
-Replaces: filelight-kde3 (<< 4:14.0.0~), filelight-trinity (<< 4:14.0.0~)
-Breaks: filelight-kde3 (<< 4:14.0.0~), filelight-trinity (<< 4:14.0.0~)
+Replaces: filelight-trinity (<< 4:14.0.0~)
+Breaks: filelight-trinity (<< 4:14.0.0~)
 Description: show where your diskspace is being used [Trinity]
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.

## filelight-trinity 14.2.0~pre25

=== debian/changelog ===
filelight-trinity (4:14.2.0~pre25-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for dfd81459b14fcabe50c2b5b39d01fc9f7e059e59
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Nov 2025 18:30:31 +0100

## filelight-trinity 14.2.0~pre26

=== debian/changelog ===
filelight-trinity (4:14.2.0~pre26-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 199ef1ce1fb4b0c7e8fff9777df54a8c9cb6c684
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:13:49 +0100

## filelight-trinity 14.2.0~pre28

=== debian/changelog ===
filelight-trinity (4:14.2.0~pre28-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 4c473325f08bceb8ffe65258e3a930de854185a5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#filelight

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 03:49:11 +0100
